# polemarch-client
 ### Polemarch is ansible based service for orchestration infrastructure.  * [Documentation](http://polemarch.readthedocs.io/) * [Issue Tracker](https://gitlab.com/vstconsulting/polemarch/issues) * [Source Code](https://gitlab.com/vstconsulting/polemarch)  

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v2
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:
```python
import polemarch_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import polemarch_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import polemarch_client
from polemarch_client.rest import ApiException
from pprint import pprint

# Configure HTTP basic authorization: basic
configuration = polemarch_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = polemarch_client.CommunityTemplateApi(polemarch_client.ApiClient(configuration))
id = 56 # int | A unique value identifying this project template.

try:
    api_response = api_instance.community_template_get(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CommunityTemplateApi->community_template_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:30001/api/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CommunityTemplateApi* | [**community_template_get**](docs/CommunityTemplateApi.md#community_template_get) | **GET** /community_template/{id}/ | 
*CommunityTemplateApi* | [**community_template_list**](docs/CommunityTemplateApi.md#community_template_list) | **GET** /community_template/ | 
*CommunityTemplateApi* | [**community_template_use_it**](docs/CommunityTemplateApi.md#community_template_use_it) | **POST** /community_template/{id}/use_it/ | 
*GroupApi* | [**group_add**](docs/GroupApi.md#group_add) | **POST** /group/ | 
*GroupApi* | [**group_copy**](docs/GroupApi.md#group_copy) | **POST** /group/{id}/copy/ | 
*GroupApi* | [**group_edit**](docs/GroupApi.md#group_edit) | **PATCH** /group/{id}/ | 
*GroupApi* | [**group_get**](docs/GroupApi.md#group_get) | **GET** /group/{id}/ | 
*GroupApi* | [**group_group_add**](docs/GroupApi.md#group_group_add) | **POST** /group/{id}/group/ | 
*GroupApi* | [**group_group_copy**](docs/GroupApi.md#group_group_copy) | **POST** /group/{id}/group/{group_id}/copy/ | 
*GroupApi* | [**group_group_edit**](docs/GroupApi.md#group_group_edit) | **PATCH** /group/{id}/group/{group_id}/ | 
*GroupApi* | [**group_group_get**](docs/GroupApi.md#group_group_get) | **GET** /group/{id}/group/{group_id}/ | 
*GroupApi* | [**group_group_list**](docs/GroupApi.md#group_group_list) | **GET** /group/{id}/group/ | 
*GroupApi* | [**group_group_remove**](docs/GroupApi.md#group_group_remove) | **DELETE** /group/{id}/group/{group_id}/ | 
*GroupApi* | [**group_group_set_owner**](docs/GroupApi.md#group_group_set_owner) | **POST** /group/{id}/group/{group_id}/set_owner/ | 
*GroupApi* | [**group_group_update**](docs/GroupApi.md#group_group_update) | **PUT** /group/{id}/group/{group_id}/ | 
*GroupApi* | [**group_group_variables_add**](docs/GroupApi.md#group_group_variables_add) | **POST** /group/{id}/group/{group_id}/variables/ | 
*GroupApi* | [**group_group_variables_edit**](docs/GroupApi.md#group_group_variables_edit) | **PATCH** /group/{id}/group/{group_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_group_variables_get**](docs/GroupApi.md#group_group_variables_get) | **GET** /group/{id}/group/{group_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_group_variables_list**](docs/GroupApi.md#group_group_variables_list) | **GET** /group/{id}/group/{group_id}/variables/ | 
*GroupApi* | [**group_group_variables_remove**](docs/GroupApi.md#group_group_variables_remove) | **DELETE** /group/{id}/group/{group_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_group_variables_update**](docs/GroupApi.md#group_group_variables_update) | **PUT** /group/{id}/group/{group_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_host_add**](docs/GroupApi.md#group_host_add) | **POST** /group/{id}/host/ | 
*GroupApi* | [**group_host_copy**](docs/GroupApi.md#group_host_copy) | **POST** /group/{id}/host/{host_id}/copy/ | 
*GroupApi* | [**group_host_edit**](docs/GroupApi.md#group_host_edit) | **PATCH** /group/{id}/host/{host_id}/ | 
*GroupApi* | [**group_host_get**](docs/GroupApi.md#group_host_get) | **GET** /group/{id}/host/{host_id}/ | 
*GroupApi* | [**group_host_list**](docs/GroupApi.md#group_host_list) | **GET** /group/{id}/host/ | 
*GroupApi* | [**group_host_remove**](docs/GroupApi.md#group_host_remove) | **DELETE** /group/{id}/host/{host_id}/ | 
*GroupApi* | [**group_host_set_owner**](docs/GroupApi.md#group_host_set_owner) | **POST** /group/{id}/host/{host_id}/set_owner/ | 
*GroupApi* | [**group_host_update**](docs/GroupApi.md#group_host_update) | **PUT** /group/{id}/host/{host_id}/ | 
*GroupApi* | [**group_host_variables_add**](docs/GroupApi.md#group_host_variables_add) | **POST** /group/{id}/host/{host_id}/variables/ | 
*GroupApi* | [**group_host_variables_edit**](docs/GroupApi.md#group_host_variables_edit) | **PATCH** /group/{id}/host/{host_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_host_variables_get**](docs/GroupApi.md#group_host_variables_get) | **GET** /group/{id}/host/{host_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_host_variables_list**](docs/GroupApi.md#group_host_variables_list) | **GET** /group/{id}/host/{host_id}/variables/ | 
*GroupApi* | [**group_host_variables_remove**](docs/GroupApi.md#group_host_variables_remove) | **DELETE** /group/{id}/host/{host_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_host_variables_update**](docs/GroupApi.md#group_host_variables_update) | **PUT** /group/{id}/host/{host_id}/variables/{variables_id}/ | 
*GroupApi* | [**group_list**](docs/GroupApi.md#group_list) | **GET** /group/ | 
*GroupApi* | [**group_remove**](docs/GroupApi.md#group_remove) | **DELETE** /group/{id}/ | 
*GroupApi* | [**group_set_owner**](docs/GroupApi.md#group_set_owner) | **POST** /group/{id}/set_owner/ | 
*GroupApi* | [**group_update**](docs/GroupApi.md#group_update) | **PUT** /group/{id}/ | 
*GroupApi* | [**group_variables_add**](docs/GroupApi.md#group_variables_add) | **POST** /group/{id}/variables/ | 
*GroupApi* | [**group_variables_edit**](docs/GroupApi.md#group_variables_edit) | **PATCH** /group/{id}/variables/{variables_id}/ | 
*GroupApi* | [**group_variables_get**](docs/GroupApi.md#group_variables_get) | **GET** /group/{id}/variables/{variables_id}/ | 
*GroupApi* | [**group_variables_list**](docs/GroupApi.md#group_variables_list) | **GET** /group/{id}/variables/ | 
*GroupApi* | [**group_variables_remove**](docs/GroupApi.md#group_variables_remove) | **DELETE** /group/{id}/variables/{variables_id}/ | 
*GroupApi* | [**group_variables_update**](docs/GroupApi.md#group_variables_update) | **PUT** /group/{id}/variables/{variables_id}/ | 
*HistoryApi* | [**history_cancel**](docs/HistoryApi.md#history_cancel) | **POST** /history/{id}/cancel/ | 
*HistoryApi* | [**history_clear**](docs/HistoryApi.md#history_clear) | **DELETE** /history/{id}/clear/ | 
*HistoryApi* | [**history_facts**](docs/HistoryApi.md#history_facts) | **GET** /history/{id}/facts/ | 
*HistoryApi* | [**history_get**](docs/HistoryApi.md#history_get) | **GET** /history/{id}/ | 
*HistoryApi* | [**history_list**](docs/HistoryApi.md#history_list) | **GET** /history/ | 
*HistoryApi* | [**history_remove**](docs/HistoryApi.md#history_remove) | **DELETE** /history/{id}/ | 
*HookApi* | [**hook_add**](docs/HookApi.md#hook_add) | **POST** /hook/ | 
*HookApi* | [**hook_edit**](docs/HookApi.md#hook_edit) | **PATCH** /hook/{id}/ | 
*HookApi* | [**hook_get**](docs/HookApi.md#hook_get) | **GET** /hook/{id}/ | 
*HookApi* | [**hook_list**](docs/HookApi.md#hook_list) | **GET** /hook/ | 
*HookApi* | [**hook_remove**](docs/HookApi.md#hook_remove) | **DELETE** /hook/{id}/ | 
*HookApi* | [**hook_update**](docs/HookApi.md#hook_update) | **PUT** /hook/{id}/ | 
*HostApi* | [**host_add**](docs/HostApi.md#host_add) | **POST** /host/ | 
*HostApi* | [**host_copy**](docs/HostApi.md#host_copy) | **POST** /host/{id}/copy/ | 
*HostApi* | [**host_edit**](docs/HostApi.md#host_edit) | **PATCH** /host/{id}/ | 
*HostApi* | [**host_get**](docs/HostApi.md#host_get) | **GET** /host/{id}/ | 
*HostApi* | [**host_list**](docs/HostApi.md#host_list) | **GET** /host/ | 
*HostApi* | [**host_remove**](docs/HostApi.md#host_remove) | **DELETE** /host/{id}/ | 
*HostApi* | [**host_set_owner**](docs/HostApi.md#host_set_owner) | **POST** /host/{id}/set_owner/ | 
*HostApi* | [**host_update**](docs/HostApi.md#host_update) | **PUT** /host/{id}/ | 
*HostApi* | [**host_variables_add**](docs/HostApi.md#host_variables_add) | **POST** /host/{id}/variables/ | 
*HostApi* | [**host_variables_edit**](docs/HostApi.md#host_variables_edit) | **PATCH** /host/{id}/variables/{variables_id}/ | 
*HostApi* | [**host_variables_get**](docs/HostApi.md#host_variables_get) | **GET** /host/{id}/variables/{variables_id}/ | 
*HostApi* | [**host_variables_list**](docs/HostApi.md#host_variables_list) | **GET** /host/{id}/variables/ | 
*HostApi* | [**host_variables_remove**](docs/HostApi.md#host_variables_remove) | **DELETE** /host/{id}/variables/{variables_id}/ | 
*HostApi* | [**host_variables_update**](docs/HostApi.md#host_variables_update) | **PUT** /host/{id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_add**](docs/InventoryApi.md#inventory_add) | **POST** /inventory/ | 
*InventoryApi* | [**inventory_all_groups_get**](docs/InventoryApi.md#inventory_all_groups_get) | **GET** /inventory/{id}/all_groups/{all_groups_id}/ | 
*InventoryApi* | [**inventory_all_groups_list**](docs/InventoryApi.md#inventory_all_groups_list) | **GET** /inventory/{id}/all_groups/ | 
*InventoryApi* | [**inventory_all_hosts_get**](docs/InventoryApi.md#inventory_all_hosts_get) | **GET** /inventory/{id}/all_hosts/{all_hosts_id}/ | 
*InventoryApi* | [**inventory_all_hosts_list**](docs/InventoryApi.md#inventory_all_hosts_list) | **GET** /inventory/{id}/all_hosts/ | 
*InventoryApi* | [**inventory_copy**](docs/InventoryApi.md#inventory_copy) | **POST** /inventory/{id}/copy/ | 
*InventoryApi* | [**inventory_edit**](docs/InventoryApi.md#inventory_edit) | **PATCH** /inventory/{id}/ | 
*InventoryApi* | [**inventory_get**](docs/InventoryApi.md#inventory_get) | **GET** /inventory/{id}/ | 
*InventoryApi* | [**inventory_group_add**](docs/InventoryApi.md#inventory_group_add) | **POST** /inventory/{id}/group/ | 
*InventoryApi* | [**inventory_group_copy**](docs/InventoryApi.md#inventory_group_copy) | **POST** /inventory/{id}/group/{group_id}/copy/ | 
*InventoryApi* | [**inventory_group_edit**](docs/InventoryApi.md#inventory_group_edit) | **PATCH** /inventory/{id}/group/{group_id}/ | 
*InventoryApi* | [**inventory_group_get**](docs/InventoryApi.md#inventory_group_get) | **GET** /inventory/{id}/group/{group_id}/ | 
*InventoryApi* | [**inventory_group_list**](docs/InventoryApi.md#inventory_group_list) | **GET** /inventory/{id}/group/ | 
*InventoryApi* | [**inventory_group_remove**](docs/InventoryApi.md#inventory_group_remove) | **DELETE** /inventory/{id}/group/{group_id}/ | 
*InventoryApi* | [**inventory_group_set_owner**](docs/InventoryApi.md#inventory_group_set_owner) | **POST** /inventory/{id}/group/{group_id}/set_owner/ | 
*InventoryApi* | [**inventory_group_update**](docs/InventoryApi.md#inventory_group_update) | **PUT** /inventory/{id}/group/{group_id}/ | 
*InventoryApi* | [**inventory_group_variables_add**](docs/InventoryApi.md#inventory_group_variables_add) | **POST** /inventory/{id}/group/{group_id}/variables/ | 
*InventoryApi* | [**inventory_group_variables_edit**](docs/InventoryApi.md#inventory_group_variables_edit) | **PATCH** /inventory/{id}/group/{group_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_group_variables_get**](docs/InventoryApi.md#inventory_group_variables_get) | **GET** /inventory/{id}/group/{group_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_group_variables_list**](docs/InventoryApi.md#inventory_group_variables_list) | **GET** /inventory/{id}/group/{group_id}/variables/ | 
*InventoryApi* | [**inventory_group_variables_remove**](docs/InventoryApi.md#inventory_group_variables_remove) | **DELETE** /inventory/{id}/group/{group_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_group_variables_update**](docs/InventoryApi.md#inventory_group_variables_update) | **PUT** /inventory/{id}/group/{group_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_host_add**](docs/InventoryApi.md#inventory_host_add) | **POST** /inventory/{id}/host/ | 
*InventoryApi* | [**inventory_host_copy**](docs/InventoryApi.md#inventory_host_copy) | **POST** /inventory/{id}/host/{host_id}/copy/ | 
*InventoryApi* | [**inventory_host_edit**](docs/InventoryApi.md#inventory_host_edit) | **PATCH** /inventory/{id}/host/{host_id}/ | 
*InventoryApi* | [**inventory_host_get**](docs/InventoryApi.md#inventory_host_get) | **GET** /inventory/{id}/host/{host_id}/ | 
*InventoryApi* | [**inventory_host_list**](docs/InventoryApi.md#inventory_host_list) | **GET** /inventory/{id}/host/ | 
*InventoryApi* | [**inventory_host_remove**](docs/InventoryApi.md#inventory_host_remove) | **DELETE** /inventory/{id}/host/{host_id}/ | 
*InventoryApi* | [**inventory_host_set_owner**](docs/InventoryApi.md#inventory_host_set_owner) | **POST** /inventory/{id}/host/{host_id}/set_owner/ | 
*InventoryApi* | [**inventory_host_update**](docs/InventoryApi.md#inventory_host_update) | **PUT** /inventory/{id}/host/{host_id}/ | 
*InventoryApi* | [**inventory_host_variables_add**](docs/InventoryApi.md#inventory_host_variables_add) | **POST** /inventory/{id}/host/{host_id}/variables/ | 
*InventoryApi* | [**inventory_host_variables_edit**](docs/InventoryApi.md#inventory_host_variables_edit) | **PATCH** /inventory/{id}/host/{host_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_host_variables_get**](docs/InventoryApi.md#inventory_host_variables_get) | **GET** /inventory/{id}/host/{host_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_host_variables_list**](docs/InventoryApi.md#inventory_host_variables_list) | **GET** /inventory/{id}/host/{host_id}/variables/ | 
*InventoryApi* | [**inventory_host_variables_remove**](docs/InventoryApi.md#inventory_host_variables_remove) | **DELETE** /inventory/{id}/host/{host_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_host_variables_update**](docs/InventoryApi.md#inventory_host_variables_update) | **PUT** /inventory/{id}/host/{host_id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_import_inventory**](docs/InventoryApi.md#inventory_import_inventory) | **POST** /inventory/import_inventory/ | 
*InventoryApi* | [**inventory_list**](docs/InventoryApi.md#inventory_list) | **GET** /inventory/ | 
*InventoryApi* | [**inventory_remove**](docs/InventoryApi.md#inventory_remove) | **DELETE** /inventory/{id}/ | 
*InventoryApi* | [**inventory_set_owner**](docs/InventoryApi.md#inventory_set_owner) | **POST** /inventory/{id}/set_owner/ | 
*InventoryApi* | [**inventory_update**](docs/InventoryApi.md#inventory_update) | **PUT** /inventory/{id}/ | 
*InventoryApi* | [**inventory_variables_add**](docs/InventoryApi.md#inventory_variables_add) | **POST** /inventory/{id}/variables/ | 
*InventoryApi* | [**inventory_variables_edit**](docs/InventoryApi.md#inventory_variables_edit) | **PATCH** /inventory/{id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_variables_get**](docs/InventoryApi.md#inventory_variables_get) | **GET** /inventory/{id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_variables_list**](docs/InventoryApi.md#inventory_variables_list) | **GET** /inventory/{id}/variables/ | 
*InventoryApi* | [**inventory_variables_remove**](docs/InventoryApi.md#inventory_variables_remove) | **DELETE** /inventory/{id}/variables/{variables_id}/ | 
*InventoryApi* | [**inventory_variables_update**](docs/InventoryApi.md#inventory_variables_update) | **PUT** /inventory/{id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_add**](docs/ProjectApi.md#project_add) | **POST** /project/ | 
*ProjectApi* | [**project_copy**](docs/ProjectApi.md#project_copy) | **POST** /project/{id}/copy/ | 
*ProjectApi* | [**project_edit**](docs/ProjectApi.md#project_edit) | **PATCH** /project/{id}/ | 
*ProjectApi* | [**project_execute_module**](docs/ProjectApi.md#project_execute_module) | **POST** /project/{id}/execute_module/ | 
*ProjectApi* | [**project_execute_playbook**](docs/ProjectApi.md#project_execute_playbook) | **POST** /project/{id}/execute_playbook/ | 
*ProjectApi* | [**project_get**](docs/ProjectApi.md#project_get) | **GET** /project/{id}/ | 
*ProjectApi* | [**project_history_cancel**](docs/ProjectApi.md#project_history_cancel) | **POST** /project/{id}/history/{history_id}/cancel/ | 
*ProjectApi* | [**project_history_clear**](docs/ProjectApi.md#project_history_clear) | **DELETE** /project/{id}/history/{history_id}/clear/ | 
*ProjectApi* | [**project_history_facts**](docs/ProjectApi.md#project_history_facts) | **GET** /project/{id}/history/{history_id}/facts/ | 
*ProjectApi* | [**project_history_get**](docs/ProjectApi.md#project_history_get) | **GET** /project/{id}/history/{history_id}/ | 
*ProjectApi* | [**project_history_list**](docs/ProjectApi.md#project_history_list) | **GET** /project/{id}/history/ | 
*ProjectApi* | [**project_history_remove**](docs/ProjectApi.md#project_history_remove) | **DELETE** /project/{id}/history/{history_id}/ | 
*ProjectApi* | [**project_inventory_add**](docs/ProjectApi.md#project_inventory_add) | **POST** /project/{id}/inventory/ | 
*ProjectApi* | [**project_inventory_all_groups_get**](docs/ProjectApi.md#project_inventory_all_groups_get) | **GET** /project/{id}/inventory/{inventory_id}/all_groups/{all_groups_id}/ | 
*ProjectApi* | [**project_inventory_all_groups_list**](docs/ProjectApi.md#project_inventory_all_groups_list) | **GET** /project/{id}/inventory/{inventory_id}/all_groups/ | 
*ProjectApi* | [**project_inventory_all_hosts_get**](docs/ProjectApi.md#project_inventory_all_hosts_get) | **GET** /project/{id}/inventory/{inventory_id}/all_hosts/{all_hosts_id}/ | 
*ProjectApi* | [**project_inventory_all_hosts_list**](docs/ProjectApi.md#project_inventory_all_hosts_list) | **GET** /project/{id}/inventory/{inventory_id}/all_hosts/ | 
*ProjectApi* | [**project_inventory_copy**](docs/ProjectApi.md#project_inventory_copy) | **POST** /project/{id}/inventory/{inventory_id}/copy/ | 
*ProjectApi* | [**project_inventory_edit**](docs/ProjectApi.md#project_inventory_edit) | **PATCH** /project/{id}/inventory/{inventory_id}/ | 
*ProjectApi* | [**project_inventory_get**](docs/ProjectApi.md#project_inventory_get) | **GET** /project/{id}/inventory/{inventory_id}/ | 
*ProjectApi* | [**project_inventory_group_add**](docs/ProjectApi.md#project_inventory_group_add) | **POST** /project/{id}/inventory/{inventory_id}/group/ | 
*ProjectApi* | [**project_inventory_group_edit**](docs/ProjectApi.md#project_inventory_group_edit) | **PATCH** /project/{id}/inventory/{inventory_id}/group/{group_id}/ | 
*ProjectApi* | [**project_inventory_group_get**](docs/ProjectApi.md#project_inventory_group_get) | **GET** /project/{id}/inventory/{inventory_id}/group/{group_id}/ | 
*ProjectApi* | [**project_inventory_group_inventory_copy**](docs/ProjectApi.md#project_inventory_group_inventory_copy) | **POST** /project/{id}/inventory/{inventory_id}/group/{group_id}/copy/ | 
*ProjectApi* | [**project_inventory_group_inventory_set_owner**](docs/ProjectApi.md#project_inventory_group_inventory_set_owner) | **POST** /project/{id}/inventory/{inventory_id}/group/{group_id}/set_owner/ | 
*ProjectApi* | [**project_inventory_group_list**](docs/ProjectApi.md#project_inventory_group_list) | **GET** /project/{id}/inventory/{inventory_id}/group/ | 
*ProjectApi* | [**project_inventory_group_remove**](docs/ProjectApi.md#project_inventory_group_remove) | **DELETE** /project/{id}/inventory/{inventory_id}/group/{group_id}/ | 
*ProjectApi* | [**project_inventory_group_update**](docs/ProjectApi.md#project_inventory_group_update) | **PUT** /project/{id}/inventory/{inventory_id}/group/{group_id}/ | 
*ProjectApi* | [**project_inventory_group_variables_add**](docs/ProjectApi.md#project_inventory_group_variables_add) | **POST** /project/{id}/inventory/{inventory_id}/group/{group_id}/variables/ | 
*ProjectApi* | [**project_inventory_group_variables_edit**](docs/ProjectApi.md#project_inventory_group_variables_edit) | **PATCH** /project/{id}/inventory/{inventory_id}/group/{group_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_group_variables_get**](docs/ProjectApi.md#project_inventory_group_variables_get) | **GET** /project/{id}/inventory/{inventory_id}/group/{group_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_group_variables_list**](docs/ProjectApi.md#project_inventory_group_variables_list) | **GET** /project/{id}/inventory/{inventory_id}/group/{group_id}/variables/ | 
*ProjectApi* | [**project_inventory_group_variables_remove**](docs/ProjectApi.md#project_inventory_group_variables_remove) | **DELETE** /project/{id}/inventory/{inventory_id}/group/{group_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_group_variables_update**](docs/ProjectApi.md#project_inventory_group_variables_update) | **PUT** /project/{id}/inventory/{inventory_id}/group/{group_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_host_add**](docs/ProjectApi.md#project_inventory_host_add) | **POST** /project/{id}/inventory/{inventory_id}/host/ | 
*ProjectApi* | [**project_inventory_host_edit**](docs/ProjectApi.md#project_inventory_host_edit) | **PATCH** /project/{id}/inventory/{inventory_id}/host/{host_id}/ | 
*ProjectApi* | [**project_inventory_host_get**](docs/ProjectApi.md#project_inventory_host_get) | **GET** /project/{id}/inventory/{inventory_id}/host/{host_id}/ | 
*ProjectApi* | [**project_inventory_host_inventory_copy**](docs/ProjectApi.md#project_inventory_host_inventory_copy) | **POST** /project/{id}/inventory/{inventory_id}/host/{host_id}/copy/ | 
*ProjectApi* | [**project_inventory_host_inventory_set_owner**](docs/ProjectApi.md#project_inventory_host_inventory_set_owner) | **POST** /project/{id}/inventory/{inventory_id}/host/{host_id}/set_owner/ | 
*ProjectApi* | [**project_inventory_host_list**](docs/ProjectApi.md#project_inventory_host_list) | **GET** /project/{id}/inventory/{inventory_id}/host/ | 
*ProjectApi* | [**project_inventory_host_remove**](docs/ProjectApi.md#project_inventory_host_remove) | **DELETE** /project/{id}/inventory/{inventory_id}/host/{host_id}/ | 
*ProjectApi* | [**project_inventory_host_update**](docs/ProjectApi.md#project_inventory_host_update) | **PUT** /project/{id}/inventory/{inventory_id}/host/{host_id}/ | 
*ProjectApi* | [**project_inventory_host_variables_add**](docs/ProjectApi.md#project_inventory_host_variables_add) | **POST** /project/{id}/inventory/{inventory_id}/host/{host_id}/variables/ | 
*ProjectApi* | [**project_inventory_host_variables_edit**](docs/ProjectApi.md#project_inventory_host_variables_edit) | **PATCH** /project/{id}/inventory/{inventory_id}/host/{host_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_host_variables_get**](docs/ProjectApi.md#project_inventory_host_variables_get) | **GET** /project/{id}/inventory/{inventory_id}/host/{host_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_host_variables_list**](docs/ProjectApi.md#project_inventory_host_variables_list) | **GET** /project/{id}/inventory/{inventory_id}/host/{host_id}/variables/ | 
*ProjectApi* | [**project_inventory_host_variables_remove**](docs/ProjectApi.md#project_inventory_host_variables_remove) | **DELETE** /project/{id}/inventory/{inventory_id}/host/{host_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_host_variables_update**](docs/ProjectApi.md#project_inventory_host_variables_update) | **PUT** /project/{id}/inventory/{inventory_id}/host/{host_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_import_inventory**](docs/ProjectApi.md#project_inventory_import_inventory) | **POST** /project/{id}/inventory/import_inventory/ | 
*ProjectApi* | [**project_inventory_list**](docs/ProjectApi.md#project_inventory_list) | **GET** /project/{id}/inventory/ | 
*ProjectApi* | [**project_inventory_remove**](docs/ProjectApi.md#project_inventory_remove) | **DELETE** /project/{id}/inventory/{inventory_id}/ | 
*ProjectApi* | [**project_inventory_set_owner**](docs/ProjectApi.md#project_inventory_set_owner) | **POST** /project/{id}/inventory/{inventory_id}/set_owner/ | 
*ProjectApi* | [**project_inventory_update**](docs/ProjectApi.md#project_inventory_update) | **PUT** /project/{id}/inventory/{inventory_id}/ | 
*ProjectApi* | [**project_inventory_variables_add**](docs/ProjectApi.md#project_inventory_variables_add) | **POST** /project/{id}/inventory/{inventory_id}/variables/ | 
*ProjectApi* | [**project_inventory_variables_edit**](docs/ProjectApi.md#project_inventory_variables_edit) | **PATCH** /project/{id}/inventory/{inventory_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_variables_get**](docs/ProjectApi.md#project_inventory_variables_get) | **GET** /project/{id}/inventory/{inventory_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_variables_list**](docs/ProjectApi.md#project_inventory_variables_list) | **GET** /project/{id}/inventory/{inventory_id}/variables/ | 
*ProjectApi* | [**project_inventory_variables_remove**](docs/ProjectApi.md#project_inventory_variables_remove) | **DELETE** /project/{id}/inventory/{inventory_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_inventory_variables_update**](docs/ProjectApi.md#project_inventory_variables_update) | **PUT** /project/{id}/inventory/{inventory_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_list**](docs/ProjectApi.md#project_list) | **GET** /project/ | 
*ProjectApi* | [**project_module_get**](docs/ProjectApi.md#project_module_get) | **GET** /project/{id}/module/{module_id}/ | 
*ProjectApi* | [**project_module_list**](docs/ProjectApi.md#project_module_list) | **GET** /project/{id}/module/ | 
*ProjectApi* | [**project_periodic_task_add**](docs/ProjectApi.md#project_periodic_task_add) | **POST** /project/{id}/periodic_task/ | 
*ProjectApi* | [**project_periodic_task_edit**](docs/ProjectApi.md#project_periodic_task_edit) | **PATCH** /project/{id}/periodic_task/{periodic_task_id}/ | 
*ProjectApi* | [**project_periodic_task_execute**](docs/ProjectApi.md#project_periodic_task_execute) | **POST** /project/{id}/periodic_task/{periodic_task_id}/execute/ | 
*ProjectApi* | [**project_periodic_task_get**](docs/ProjectApi.md#project_periodic_task_get) | **GET** /project/{id}/periodic_task/{periodic_task_id}/ | 
*ProjectApi* | [**project_periodic_task_list**](docs/ProjectApi.md#project_periodic_task_list) | **GET** /project/{id}/periodic_task/ | 
*ProjectApi* | [**project_periodic_task_remove**](docs/ProjectApi.md#project_periodic_task_remove) | **DELETE** /project/{id}/periodic_task/{periodic_task_id}/ | 
*ProjectApi* | [**project_periodic_task_update**](docs/ProjectApi.md#project_periodic_task_update) | **PUT** /project/{id}/periodic_task/{periodic_task_id}/ | 
*ProjectApi* | [**project_periodic_task_variables_add**](docs/ProjectApi.md#project_periodic_task_variables_add) | **POST** /project/{id}/periodic_task/{periodic_task_id}/variables/ | 
*ProjectApi* | [**project_periodic_task_variables_edit**](docs/ProjectApi.md#project_periodic_task_variables_edit) | **PATCH** /project/{id}/periodic_task/{periodic_task_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_periodic_task_variables_get**](docs/ProjectApi.md#project_periodic_task_variables_get) | **GET** /project/{id}/periodic_task/{periodic_task_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_periodic_task_variables_list**](docs/ProjectApi.md#project_periodic_task_variables_list) | **GET** /project/{id}/periodic_task/{periodic_task_id}/variables/ | 
*ProjectApi* | [**project_periodic_task_variables_remove**](docs/ProjectApi.md#project_periodic_task_variables_remove) | **DELETE** /project/{id}/periodic_task/{periodic_task_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_periodic_task_variables_update**](docs/ProjectApi.md#project_periodic_task_variables_update) | **PUT** /project/{id}/periodic_task/{periodic_task_id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_playbook_get**](docs/ProjectApi.md#project_playbook_get) | **GET** /project/{id}/playbook/{playbook_id}/ | 
*ProjectApi* | [**project_playbook_list**](docs/ProjectApi.md#project_playbook_list) | **GET** /project/{id}/playbook/ | 
*ProjectApi* | [**project_remove**](docs/ProjectApi.md#project_remove) | **DELETE** /project/{id}/ | 
*ProjectApi* | [**project_set_owner**](docs/ProjectApi.md#project_set_owner) | **POST** /project/{id}/set_owner/ | 
*ProjectApi* | [**project_sync**](docs/ProjectApi.md#project_sync) | **POST** /project/{id}/sync/ | 
*ProjectApi* | [**project_template_add**](docs/ProjectApi.md#project_template_add) | **POST** /project/{id}/template/ | 
*ProjectApi* | [**project_template_edit**](docs/ProjectApi.md#project_template_edit) | **PATCH** /project/{id}/template/{template_id}/ | 
*ProjectApi* | [**project_template_execute**](docs/ProjectApi.md#project_template_execute) | **POST** /project/{id}/template/{template_id}/execute/ | 
*ProjectApi* | [**project_template_get**](docs/ProjectApi.md#project_template_get) | **GET** /project/{id}/template/{template_id}/ | 
*ProjectApi* | [**project_template_list**](docs/ProjectApi.md#project_template_list) | **GET** /project/{id}/template/ | 
*ProjectApi* | [**project_template_remove**](docs/ProjectApi.md#project_template_remove) | **DELETE** /project/{id}/template/{template_id}/ | 
*ProjectApi* | [**project_template_update**](docs/ProjectApi.md#project_template_update) | **PUT** /project/{id}/template/{template_id}/ | 
*ProjectApi* | [**project_update**](docs/ProjectApi.md#project_update) | **PUT** /project/{id}/ | 
*ProjectApi* | [**project_variables_add**](docs/ProjectApi.md#project_variables_add) | **POST** /project/{id}/variables/ | 
*ProjectApi* | [**project_variables_edit**](docs/ProjectApi.md#project_variables_edit) | **PATCH** /project/{id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_variables_get**](docs/ProjectApi.md#project_variables_get) | **GET** /project/{id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_variables_list**](docs/ProjectApi.md#project_variables_list) | **GET** /project/{id}/variables/ | 
*ProjectApi* | [**project_variables_remove**](docs/ProjectApi.md#project_variables_remove) | **DELETE** /project/{id}/variables/{variables_id}/ | 
*ProjectApi* | [**project_variables_update**](docs/ProjectApi.md#project_variables_update) | **PUT** /project/{id}/variables/{variables_id}/ | 
*TeamApi* | [**team_add**](docs/TeamApi.md#team_add) | **POST** /team/ | 
*TeamApi* | [**team_copy**](docs/TeamApi.md#team_copy) | **POST** /team/{id}/copy/ | 
*TeamApi* | [**team_edit**](docs/TeamApi.md#team_edit) | **PATCH** /team/{id}/ | 
*TeamApi* | [**team_get**](docs/TeamApi.md#team_get) | **GET** /team/{id}/ | 
*TeamApi* | [**team_list**](docs/TeamApi.md#team_list) | **GET** /team/ | 
*TeamApi* | [**team_remove**](docs/TeamApi.md#team_remove) | **DELETE** /team/{id}/ | 
*TeamApi* | [**team_set_owner**](docs/TeamApi.md#team_set_owner) | **POST** /team/{id}/set_owner/ | 
*TeamApi* | [**team_update**](docs/TeamApi.md#team_update) | **PUT** /team/{id}/ | 
*TeamApi* | [**team_user_add**](docs/TeamApi.md#team_user_add) | **POST** /team/{id}/user/ | 
*TeamApi* | [**team_user_change_password**](docs/TeamApi.md#team_user_change_password) | **POST** /team/{id}/user/{user_id}/change_password/ | 
*TeamApi* | [**team_user_copy**](docs/TeamApi.md#team_user_copy) | **POST** /team/{id}/user/{user_id}/copy/ | 
*TeamApi* | [**team_user_edit**](docs/TeamApi.md#team_user_edit) | **PATCH** /team/{id}/user/{user_id}/ | 
*TeamApi* | [**team_user_get**](docs/TeamApi.md#team_user_get) | **GET** /team/{id}/user/{user_id}/ | 
*TeamApi* | [**team_user_list**](docs/TeamApi.md#team_user_list) | **GET** /team/{id}/user/ | 
*TeamApi* | [**team_user_remove**](docs/TeamApi.md#team_user_remove) | **DELETE** /team/{id}/user/{user_id}/ | 
*TeamApi* | [**team_user_settings_add**](docs/TeamApi.md#team_user_settings_add) | **POST** /team/{id}/user/{user_id}/settings/ | A settings object, that allows API settings to be accessed as properties.     For example:
*TeamApi* | [**team_user_settings_get**](docs/TeamApi.md#team_user_settings_get) | **GET** /team/{id}/user/{user_id}/settings/ | A settings object, that allows API settings to be accessed as properties.     For example:
*TeamApi* | [**team_user_settings_remove**](docs/TeamApi.md#team_user_settings_remove) | **DELETE** /team/{id}/user/{user_id}/settings/ | A settings object, that allows API settings to be accessed as properties.     For example:
*TeamApi* | [**team_user_update**](docs/TeamApi.md#team_user_update) | **PUT** /team/{id}/user/{user_id}/ | 
*UserApi* | [**user_add**](docs/UserApi.md#user_add) | **POST** /user/ | 
*UserApi* | [**user_change_password**](docs/UserApi.md#user_change_password) | **POST** /user/{id}/change_password/ | 
*UserApi* | [**user_copy**](docs/UserApi.md#user_copy) | **POST** /user/{id}/copy/ | 
*UserApi* | [**user_edit**](docs/UserApi.md#user_edit) | **PATCH** /user/{id}/ | 
*UserApi* | [**user_get**](docs/UserApi.md#user_get) | **GET** /user/{id}/ | 
*UserApi* | [**user_list**](docs/UserApi.md#user_list) | **GET** /user/ | 
*UserApi* | [**user_remove**](docs/UserApi.md#user_remove) | **DELETE** /user/{id}/ | 
*UserApi* | [**user_settings_add**](docs/UserApi.md#user_settings_add) | **POST** /user/{id}/settings/ | 
*UserApi* | [**user_settings_get**](docs/UserApi.md#user_settings_get) | **GET** /user/{id}/settings/ | 
*UserApi* | [**user_settings_remove**](docs/UserApi.md#user_settings_remove) | **DELETE** /user/{id}/settings/ | 
*UserApi* | [**user_update**](docs/UserApi.md#user_update) | **PUT** /user/{id}/ | 


## Documentation For Models

 - [ActionResponse](docs/ActionResponse.md)
 - [AnsibleModule](docs/AnsibleModule.md)
 - [AnsiblePlaybook](docs/AnsiblePlaybook.md)
 - [ChangePassword](docs/ChangePassword.md)
 - [ChartLineSetting](docs/ChartLineSetting.md)
 - [ChartLineSettings](docs/ChartLineSettings.md)
 - [CounterWidgetSetting](docs/CounterWidgetSetting.md)
 - [CreateUser](docs/CreateUser.md)
 - [Data](docs/Data.md)
 - [Empty](docs/Empty.md)
 - [Error](docs/Error.md)
 - [ExecuteResponse](docs/ExecuteResponse.md)
 - [Group](docs/Group.md)
 - [GroupCreateMaster](docs/GroupCreateMaster.md)
 - [History](docs/History.md)
 - [Hook](docs/Hook.md)
 - [Host](docs/Host.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse20010](docs/InlineResponse20010.md)
 - [InlineResponse20011](docs/InlineResponse20011.md)
 - [InlineResponse20012](docs/InlineResponse20012.md)
 - [InlineResponse20013](docs/InlineResponse20013.md)
 - [InlineResponse20014](docs/InlineResponse20014.md)
 - [InlineResponse20015](docs/InlineResponse20015.md)
 - [InlineResponse20016](docs/InlineResponse20016.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse2009](docs/InlineResponse2009.md)
 - [Inventory](docs/Inventory.md)
 - [InventoryImport](docs/InventoryImport.md)
 - [InventoryVariable](docs/InventoryVariable.md)
 - [Module](docs/Module.md)
 - [OneGroup](docs/OneGroup.md)
 - [OneHistory](docs/OneHistory.md)
 - [OneHost](docs/OneHost.md)
 - [OneInventory](docs/OneInventory.md)
 - [OneModule](docs/OneModule.md)
 - [OnePeriodictask](docs/OnePeriodictask.md)
 - [OnePlaybook](docs/OnePlaybook.md)
 - [OneProject](docs/OneProject.md)
 - [OneProjectTemplate](docs/OneProjectTemplate.md)
 - [OneTeam](docs/OneTeam.md)
 - [OneTemplate](docs/OneTemplate.md)
 - [OneUser](docs/OneUser.md)
 - [PeriodicTaskVariable](docs/PeriodicTaskVariable.md)
 - [Periodictask](docs/Periodictask.md)
 - [Playbook](docs/Playbook.md)
 - [Project](docs/Project.md)
 - [ProjectCreateMaster](docs/ProjectCreateMaster.md)
 - [ProjectHistory](docs/ProjectHistory.md)
 - [ProjectTemplate](docs/ProjectTemplate.md)
 - [ProjectTemplateCreate](docs/ProjectTemplateCreate.md)
 - [ProjectVariable](docs/ProjectVariable.md)
 - [SetOwner](docs/SetOwner.md)
 - [Team](docs/Team.md)
 - [Template](docs/Template.md)
 - [TemplateExec](docs/TemplateExec.md)
 - [User](docs/User.md)
 - [UserSettings](docs/UserSettings.md)
 - [WidgetSetting](docs/WidgetSetting.md)
 - [WidgetSettings](docs/WidgetSettings.md)


## Documentation For Authorization


## basic

- **Type**: HTTP basic authentication


## Author



